[SM-Grimoire-Bugs] [Bug 14515] New: circular dependency between pkgconfig and glib2

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Tue May 13 12:08:37 EDT 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14515

           Summary: circular dependency between pkgconfig and glib2
           Product: Codex
           Version: stable grimoire
          Platform: x86
        OS/Version: Linux
            Status: NEW
          Severity: normal
          Priority: P2
         Component: gnome2-libs
        AssignedTo: sm-grimoire-bugs at lists.ibiblio.org
        ReportedBy: confused.sushi at googlemail.com


i have recently setup a new system,
my first one with Source Mage.

sorcery system-update fails,
because configure of glib2 complains about
a missing pkgconfig.

some spell need pkgconfig and pkgconfig
has an optional dependency glib2, which
tries to built before pkgconfig.

pkgconfig should be build before glib,
may you remove glib2 as dependency from
pkgconfig, or there is any way to build
pkgconfig before glib other than do
it manually, i don't know.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list